Get order status
Authenticated order state by exactly one of id, quoteId, or txHash; client keys require id or quoteId with a matching read token.
GET
/
v1
/
orchestration
/
status
Get order status
curl --request GET \
--url https://orchestration.flashnet.xyz/v1/orchestration/status \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://orchestration.flashnet.xyz/v1/orchestration/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/orchestration/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"order": {
"id": "ord_b91bbf90-42dc-4fe3-9b15-1d2c7e19cce6",
"type": "order",
"quoteId": "q_7e450ab4-935b-4f8d-a6c4-4987a3cd2831",
"status": "completed",
"sourceChain": "bitcoin",
"sourceAsset": "BTC",
"destinationChain": "solana",
"destinationAsset": "USDC",
"depositAddress": "bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",
"recipientAddress": "7EcDhSYGxXyscszYEp35KHN8vvw3svAuLKTzXwCFLtV",
"amountIn": "100000",
"amountOut": "99000000",
"feeAmount": "500000",
"feeAsset": "USDC",
"feeBps": 50,
"slippageBps": 100,
"createdAt": "2026-09-12T12:00:00.000Z",
"updatedAt": "2026-09-12T12:04:00.000Z",
"completedAt": "2026-09-12T12:04:00.000Z"
},
"stages": [
{
"name": "completed",
"status": "completed",
"completedAt": "2026-09-12T12:04:00.000Z"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Partner API key in the form Authorization: Bearer fn_....
Query Parameters
Available options:
arbitrum, arc, avalanche, base, bitcoin, bsc, ethereum, hedera, hypercore, hyperevm, lightning, litecoin, monad, monero, optimism, plasma, polygon, robinhood, sei, solana, spark, tempo, ton, tron, xrp, zcash Matching read token for client-key lookups by id or quoteId.
Was this page helpful?
⌘I
Get order status
curl --request GET \
--url https://orchestration.flashnet.xyz/v1/orchestration/status \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://orchestration.flashnet.xyz/v1/orchestration/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/orchestration/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"order": {
"id": "ord_b91bbf90-42dc-4fe3-9b15-1d2c7e19cce6",
"type": "order",
"quoteId": "q_7e450ab4-935b-4f8d-a6c4-4987a3cd2831",
"status": "completed",
"sourceChain": "bitcoin",
"sourceAsset": "BTC",
"destinationChain": "solana",
"destinationAsset": "USDC",
"depositAddress": "bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh",
"recipientAddress": "7EcDhSYGxXyscszYEp35KHN8vvw3svAuLKTzXwCFLtV",
"amountIn": "100000",
"amountOut": "99000000",
"feeAmount": "500000",
"feeAsset": "USDC",
"feeBps": 50,
"slippageBps": 100,
"createdAt": "2026-09-12T12:00:00.000Z",
"updatedAt": "2026-09-12T12:04:00.000Z",
"completedAt": "2026-09-12T12:04:00.000Z"
},
"stages": [
{
"name": "completed",
"status": "completed",
"completedAt": "2026-09-12T12:04:00.000Z"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}